Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(2003)

Unified Diff: scripts/image_signing/sign_official_build.sh

Issue 3106027: Fix signing script: Add missing quotes around string test. (Closed) Base URL: http://src.chromium.org/git/vboot_reference.git
Patch Set: Created 10 years, 4 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « no previous file | no next file » | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: scripts/image_signing/sign_official_build.sh
diff --git a/scripts/image_signing/sign_official_build.sh b/scripts/image_signing/sign_official_build.sh
index 628de44c6987242429c7d90131a6e0fb3fca5d2e..cdc1837af02251e48681aeb20c4ff4630b108665 100755
--- a/scripts/image_signing/sign_official_build.sh
+++ b/scripts/image_signing/sign_official_build.sh
@@ -52,6 +52,7 @@ OUTPUT_IMAGE=$4
# Re-calculate rootfs hash, update rootfs and kernel command line.
# Args: IMAGE KEYBLOCK PRIVATEKEY
recalculate_rootfs_hash() {
+ echo "Recalculating rootfs"
local image=$1 # Input image.
local keyblock=$2 # Keyblock for re-generating signed kernel partition
local signprivate=$3 # Private key to use for signing.
@@ -69,7 +70,7 @@ recalculate_rootfs_hash() {
# sha1 63b7ad16cb9db4b70b28593f825aa6b7825fdcf2"
#
- if [ -z ${dm_config} ]; then
+ if [ -z "${dm_config}" ]; then
echo "WARNING: Couldn't grab dm_config. Aborting rootfs hash calculation"
return
fi
@@ -108,7 +109,7 @@ recalculate_rootfs_hash() {
--signprivate ${signprivate} \
--oldblob ${temp_kimage} \
--config ${temp_config}
-
+
replace_image_partition ${image} 2 ${updated_kimage}
replace_image_partition ${image} 3 ${rootfs_img}
}
@@ -120,8 +121,7 @@ get_firmwarebin_from_shellball() {
local input=$1
local output_dir=$2
uudecode -o - ${input} | tar -C ${output_dir} -zxf - 2>/dev/null || \
- echo "Extracting firmware autoupdate failed.
-Try re-running with FW_NOUPDATE=1." && exit 1
+ echo "Extracting firmware autoupdate failed." && exit 1
}
# Re-sign the firmware AU payload inside the image rootfs with a new keys.
@@ -213,7 +213,7 @@ sign_for_factory_install() {
# Firmware payload signing hidden behind a flag until it actually makes
# it into the image.
-if [ ! "${FW_UPDATE}" == "1" ]; then
+if [ "${FW_UPDATE}" == "1" ]; then
resign_firmware_payload ${INPUT_IMAGE}
fi
« no previous file with comments | « no previous file | no next file » | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698